curl --request POST \
--url https://api.botpress.cloud/v1/chat/users/get-or-create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-bot-id: <x-bot-id>' \
--data '
{
"tags": {},
"integrationName": "<string>",
"name": "<string>",
"pictureUrl": "<string>",
"properties": {},
"attributes": {},
"discriminateByTags": [
"<string>"
]
}
'{
"user": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"tags": {},
"name": "<string>",
"pictureUrl": "<string>",
"properties": {},
"attributes": {}
},
"meta": {
"created": true
}
}Retrieves the User object for given discriminating tags. If the user does not exist, it will be created. If the user already exists, its name, pictureUrl, attributes, and tags will be updated with the provided values.
curl --request POST \
--url https://api.botpress.cloud/v1/chat/users/get-or-create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-bot-id: <x-bot-id>' \
--data '
{
"tags": {},
"integrationName": "<string>",
"name": "<string>",
"pictureUrl": "<string>",
"properties": {},
"attributes": {},
"discriminateByTags": [
"<string>"
]
}
'{
"user": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"tags": {},
"name": "<string>",
"pictureUrl": "<string>",
"properties": {},
"attributes": {}
},
"meta": {
"created": true
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bot id
Integration id
Integration alias
User data
Name of the user
200URI of the user picture
40000EXPERIMENTAL - Optional shared properties that can be accessed and modified by both the bot and any of its integrations.
Show child attributes
DEPRECATED - Use properties instead.
Show child attributes
Optional list of tag names to use for strict matching when looking up existing users. If provided, all specified tags must match exactly for a user to be considered a match. For example, with an existing user whose tags are {"foo": "a", "bar": "b", baz: "c"}: Without this parameter, ALL tags must match exactly. With ["bar","baz"], all listed tags must match their values, and other tags are not considered.
500Was this page helpful?